#board {
  position: absolute;
  width: 100vw;
  height: 100vh;
}

.note-add-btn {
  position: relative;
  top: 400px;
  pointer-events: all;
  z-index: 1002;
  padding: 8px 16px;
  margin-right: 40px;
}

.note {
  position: absolute;
  width: 150px;
  min-height: 100px;
  padding: 10px;
  border-radius: 6px;
  cursor: move;
}

main .menu-btn {
  position: absolute;
  top: 4px;
  right: 4px;
  border: none;
  background: none;
  cursor: pointer;
}

.color {
  width: 20px;
  height: 20px;
  margin: 4px;
  cursor: pointer;
  border: 1px solid #999;
}

.note button {
  background-color: #cccccc8b;
}

.note-menu {
  position: absolute;
  top: 24px;
  right: 4px;
  background: white;
  border: 1px solid #ccc;
  padding: 6px;
  display: none;
  z-index: 1000;
}

.note-menu button {
  padding: 8px 16px;
}

button:hover {
  color: #d0d0d0;
  background-color: var(--button);
}

button {
  color: #ffffff;
  background-color: var(--button-h);
  border: unset;
  border-radius: 6px;
}

.table {
  position: absolute;
  background: white;
  border: 1px solid #ccc;
  padding: 4px;
}

.table table {
  border-collapse: collapse;
}

.table td {
  border: 1px solid #aaa;
  min-width: 60px;
  padding: 4px;
}

.group-select-menu {
  display: none;
  position: absolute;
  background: white;
  border: 1px solid #aaa;
  padding: 5px;
  z-index: 100;
}

.group-option {
  padding: 2px 5px;
  cursor: pointer;
}

.group-option:hover {
  background: #ddd;
}
